//-----------------------------------------------------------
//
//   example.uc
//
//   http://trepaning.com
//
//  import vertex animated mesh, animation and texture
//-----------------------------------------------------------

// class extension for import of mesh, texture and animation data

class example extends Resource;


// import info for _a.3d animation and _d.3d mesh data files created by 3ds2unr
 
#exec MESH IMPORT MESH=example ANIVFILE=Models\example_a.3d DATAFILE=Models\example_d.3d X=0 Y=0 Z=0


// where the mesh will appear in game with relation to the mesh's axis

#exec MESH ORIGIN MESH=example X=-0 Y=0 Z=0


// an ALL sequence exec needs to be present for the animation import

#exec MESH SEQUENCE MESH=example SEQ=All STARTFRAME=0 NUMFRAMES=101


// breakdown of individual animation sequences and their respective frames
// in this example, there is only 1 sequence.

#exec MESH SEQUENCE MESH=example SEQ=exampleAnim STARTFRAME=0 NUMFRAMES=101


// texture import, will be called exampleTex in UnrealEd Texture Browser
// originally references the file in Textures folder called eye_1a 

#exec TEXTURE IMPORT NAME=exampleTex FILE=Textures\eye_1a.DDS



//leave the numbers as is, just change the MeshMap name to your mesh name

#exec MESHMAP SCALE MESHMAP=example X=0.1 Y=0.1 Z=0.2



// sets the texture to your mesh, referencing Material ID number
// and UnrealEd's named texture. Note that the texture will be part of the U file
// There is no seperate texture file needed, but you may need to assign the texture
// to the mesh in UnrealEd

#exec MESHMAP SETTEXTURE MESHMAP=example NUM=0 TEXTURE=exampleTex



// Guess what this is

defaultproperties
{
}